AT-NFC 2.1 (win) AT-NFC kernel set

Data Fields
tag_HAL_CONFIG_NFC_COMB Struct Reference
HAL NFC Configuration API

NFC combination configuration data. More...

`#include <hal_nfc_config.h>`

## Data Fields
KER_INT16U | usSize
KER_BYTE | btVer
KER_BYTE | ar_btAID [16]
KER_BYTE | btAIDLen
KER_BYTE | ar_btKernelID [8]
KER_BYTE | btKernelIDLen
KER_INT16U | usConfDataPresentMask
KER_INT16U | usConfDataSetMask
KER_INT16U | usPreprocIndicators
KER_BYTE | ar_btTTQ [4]
KER_BYTE | ar_btLimitClessTran [4]
KER_BYTE | ar_btLimitClessFloor [4]
KER_BYTE | ar_btLimitCVMRequired [4]
KER_TLV * | pConfigData
KER_TLV * | pTranData
HAL_CONFIG_NFC_COMB * | pNext

## Detailed Description

NFC combination configuration data.

## Field Documentation

## ◆ ar_btAID

KER_BYTE ar_btAID[16]

AID

## ◆ ar_btKernelID

KER_BYTE ar_btKernelID[8]

kernel ID

## ◆ ar_btLimitClessFloor

KER_BYTE ar_btLimitClessFloor[4]

Reader Contactless Floor Limit

## ◆ ar_btLimitClessTran

KER_BYTE ar_btLimitClessTran[4]

Reader Contactless Transaction Limit

## ◆ ar_btLimitCVMRequired

KER_BYTE ar_btLimitCVMRequired[4]

Reader CVM Required Limit

## ◆ ar_btTTQ

KER_BYTE ar_btTTQ[4]

TTQ

## ◆ btAIDLen

KER_BYTE btAIDLen

AID length

## ◆ btKernelIDLen

KER_BYTE btKernelIDLen

kernel ID length

## ◆ btVer

KER_BYTE btVer

struct version (reserved)

## ◆ pConfigData

KER_TLV* pConfigData

combination configuration for provided transaction data

## ◆ pNext

HAL_CONFIG_NFC_COMB* pNext

next combination reference

## ◆ pTranData

KER_TLV* pTranData

transaction data copy, corrected for this combination

## ◆ usConfDataPresentMask

KER_INT16U usConfDataPresentMask

EP Configuration data present mask (EMV Book A, Table 5-2), see KER_CFG_EP_MASK_STATUS_CHECK, etc...

## ◆ usConfDataSetMask

KER_INT16U usConfDataSetMask

EP Configuration data set mask (EMV Book A, Table 5-2), see KER_CFG_EP_MASK_STATUS_CHECK, etc...

## ◆ usPreprocIndicators

KER_INT16U usPreprocIndicators

EP Preprocessing Indicators (preconfigured values for autorun mode) (EMV Book A, Table 5-3), see KER_CFG_EP_PRE_STATUS_CHECK_REQUESTED, etc...

## ◆ usSize

KER_INT16U usSize

size of struct

The documentation for this struct was generated from the following file:

- D:/VM_SHARE/Views_Static/petrov_dev_emv_VM_view/EMV_NEXT/Kernels/inc/nfc/hal/hal_nfc_config.h